MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026592Open CASCADE[OCCT] OCCT:Configurationpublic2015-08-24 14:162016-04-20 15:48
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026592: Macros OCCT_DEBUG is not supported while configuration 7.0.0 dev version with CMake
DescriptionIn order to define OCCT_DEBUG macros, it is recommended to add "set CSF_DEFINES=OCCT_DEBUG" line in custom.bat (see http://occtrel.nnov.opencascade.com/OpenCASCADE6.9.0/doc/overview/html/occt_dev_guides__debug.html [^]).

However, if we build OCCT with CMake (http://occtrel.nnov.opencascade.com/OpenCASCADE6.9.0/doc/overview/html/occt_dev_guides__building_cmake.html [^]), then we execute OCCT.sln (generated by CMake) without using custom.bat file. Consequently, described method does not work.

How is OCCT_DEBUG macros set when configuring OCCT with CMake?
Steps To ReproduceNot required.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0026598feedbackabv Some test cases fail if macros OCCT_DEBUG is enabled 

-  Notes
(0044549)
git (administrator)
2015-08-24 15:22

Branch CR26592 has been created by ibs.

SHA-1: d5dd4ff983a7438306f1a3ff45a2477d01f8691f


Detailed log of new commits:

Author: ibs
Date: Mon Aug 24 15:14:59 2015 +0300

    0026592: Macros OCCT_DEBUG is not supported while configuration 7.0.0 dev version with CMake
    
    OCCT_ALGO_EXTENDED_OUTPUT variable introduced
(0044550)
ibs (developer)
2015-08-24 15:25

dear nbv, please check OCCT_ALGO_EXTENDED_OUTPUT variable during CMake configuration process.

the fix containing this variables pushed into CR26592 branch of OCCT git
(0044590)
git (administrator)
2015-08-25 11:18

Branch CR26592 has been updated forcibly by ibs.

SHA-1: dbe1371fc876b8dd3859954f48f6aff2faa6df92
(0044591)
ibs (developer)
2015-08-25 11:19

dear bugmaster, please integrate CR26592
(0047000)
git (administrator)
2015-10-16 16:37

Branch CR26592 has been deleted by kgv.

SHA-1: dbe1371fc876b8dd3859954f48f6aff2faa6df92

- Related Changesets
occt: master 898f6a92
Timestamp: 2015-08-24 12:14:59
Author: ibs
Committer: bugmaster
Details ] Diff ]
0026592: Macros OCCT_DEBUG is not supported while configuration 7.0.0 dev version with CMake

OCCT_ALGO_EXTENDED_OUTPUT variable introduced
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-24 14:16 nbv New Issue
2015-08-24 14:16 nbv Assigned To => abv
2015-08-24 14:17 nbv Description Updated View Revisions
2015-08-24 14:28 abv Assigned To abv => ibs
2015-08-24 14:28 abv Status new => assigned
2015-08-24 15:22 git Note Added: 0044549
2015-08-24 15:25 ibs Note Added: 0044550
2015-08-24 15:25 ibs Assigned To ibs => nbv
2015-08-24 15:25 ibs Status assigned => feedback
2015-08-25 11:18 git Note Added: 0044590
2015-08-25 11:19 ibs Note Added: 0044591
2015-08-25 11:19 ibs Assigned To nbv => bugmaster
2015-08-25 11:19 ibs Status feedback => reviewed
2015-08-25 12:49 nbv Relationship added related to 0026598
2015-09-03 12:27 bugmaster Status reviewed => tested
2015-09-04 13:02 bugmaster Changeset attached => occt master 898f6a92
2015-09-04 13:02 bugmaster Status tested => verified
2015-09-04 13:02 bugmaster Resolution open => fixed
2015-10-16 16:37 git Note Added: 0047000
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker